# Get a New Strategy Group

Get a strategy group by ID.

Endpoint: GET /new_strategy_groups/{strategy_group_id}
Version: 3.0.1807
Security: Auth0

## Security:

  - `Auth0` (unknown)
    oauth2 scopes: offline_access, manage:services

## Path parameters:

  - `strategy_group_id` (integer, required)

## Query parameters:

  - `with` (string)
    Comma-separated list of related entities to embed. Only `strategies` is supported; when set, the response includes a `strategies` array of `{id, entity_type, name}`.

## Response 200:

  - `200` (unknown)
    Strategy group response

## Response 200 fields (application/json):

  - `data` (object)

  - `data.name` (string)

  - `data.description` (string)

  - `data.spend_cap_type` (string)
    Enum: "even", "asap", "no-limit"

  - `data.spend_cap_amount` (number)
    Required when spend_cap_type is 'even' or 'asap' and spend_cap_automatic is false. Optional (and may be null) when spend_cap_type is 'no-limit'. May be sent while spend_cap_automatic is true but is ignored until automatic is turned off.

  - `data.impression_cap_type` (string)
    Enum: "even", "asap", "no-limit"

  - `data.impression_cap_amount` (integer)
    Required when impression_cap_type is 'even' or 'asap' and impression_cap_automatic is false. Optional (and may be null) when impression_cap_type is 'no-limit'. May be sent while impression_cap_automatic is true but is ignored until automatic is turned off.

  - `data.external_identifier` (string)

  - `data.id` (integer)

  - `data.entity_type` (string)

  - `data.version` (integer)

  - `data.campaign_id` (integer)

  - `data.strategy_count` (integer)
    Number of strategies attached to this group. Always present.
    Example: 3

  - `data.strategies` (array)
    Attached strategies. Only present when ?with=strategies is set.

  - `data.strategies.id` (integer)

  - `data.strategies.entity_type` (string)
    Example: strategy

  - `data.strategies.name` (string)

  - `data.strategies.status` (boolean)
    true when the strategy is active.

  - `data.strategies.pacing_type` (string)
    Enum: "even", "asap"

  - `data.strategies.pacing_amount` (number)

  - `data.strategies.pacing_interval` (string)
    Enum: "hour", "day"

  - `data.strategies.impression_pacing_type` (string)
    Enum: "even", "asap", "no-limit"

  - `data.strategies.impression_pacing_amount` (integer)

  - `data.strategies.impression_pacing_interval` (string)
    Enum: "hour", "day"

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `meta` (object)

  - `meta.status` (string)
    Example: success

## Response 400:

  - `400` (unknown)
    Error response

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401:

  - `401` (unknown)
    Error response

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403:

  - `403` (unknown)
    Error response

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 404:

  - `404` (unknown)
    Error response

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

